class VADDecoderRNNJIT(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  rnn : __torch__.torch.nn.modules.rnn.___torch_mangle_39.LSTM
  decoder : __torch__.torch.nn.modules.container.___torch_mangle_40.Sequential
  def forward(self: __torch__.vad.model.vad_annotator.___torch_mangle_38.VADDecoderRNNJIT,
    x: Tensor,
    h: Tensor=CONSTANTS.c0,
    c: Tensor=CONSTANTS.c0) -> Tuple[Tensor, Tensor, Tensor]:
    if bool(torch.len(h)):
      rnn = self.rnn
      _0 = (rnn).forward__0(torch.permute(x, [0, 2, 1]), (h, c), )
      x9, _1, = _0
      h2, c2, = _1
      x8, h1, c1 = x9, h2, c2
    else:
      rnn0 = self.rnn
      _2 = (rnn0).forward__0(torch.permute(x, [0, 2, 1]), None, )
      x10, _3, = _2
      h3, c3, = _3
      x8, h1, c1 = x10, h3, c3
    x11 = torch.permute(x8, [0, 2, 1])
    decoder = self.decoder
    x12 = (decoder).forward(x11, )
    return (x12, h1, c1)
